/* ddh.h - header file for functions to read ECMWF DDH *var* files */

#ifndef _DDH_H
#define _DDH_H

#include <stdio.h>
#include "terror.h"

#define DDH_MAX_PROFILES 25
#define DDH_MAX_LEVELS 61

typedef struct {
  float vtim[DDH_MAX_PROFILES];
  float P[DDH_MAX_PROFILES][DDH_MAX_LEVELS];
  float U[DDH_MAX_PROFILES][DDH_MAX_LEVELS];
  float V[DDH_MAX_PROFILES][DDH_MAX_LEVELS];
  float T[DDH_MAX_PROFILES][DDH_MAX_LEVELS];
  float Q[DDH_MAX_PROFILES][DDH_MAX_LEVELS];
  float L[DDH_MAX_PROFILES][DDH_MAX_LEVELS];
  float I[DDH_MAX_PROFILES][DDH_MAX_LEVELS];
  float A[DDH_MAX_PROFILES][DDH_MAX_LEVELS];
  float R[DDH_MAX_PROFILES][DDH_MAX_LEVELS];
  float W[DDH_MAX_PROFILES][DDH_MAX_LEVELS];
  float H[DDH_MAX_PROFILES][DDH_MAX_LEVELS];
  int vdat[DDH_MAX_PROFILES];
  float latitude, longitude;
  float itim;
  float sigma0;
  int idat;
  int nprofiles, nlevels;
  int station_id;
  char *station_name;
} DDHday;

T_ERROR *ddh_read(FILE *file, DDHday *data);

#endif
