#include "sonde.h"
#include "attenuation.h"

void
sonde_attenuation_profile(SondeAscent *ascent, afloat *profile,
			  afloat frequency_GHz)
{
  afloat H[SONDE_MAX_POINTS];
  afloat P[SONDE_MAX_POINTS];
  afloat T[SONDE_MAX_POINTS];
  afloat E[SONDE_MAX_POINTS];
  int j;

  for (j = 0; j < ascent->n; j++) {
    H[j] = ascent->height[j];
    T[j] = ascent->temperature[j];
    P[j] = ascent->pressure[j];
    E[j] = saturation_vapour_pressure(ascent->dew_point[j]);
  }

  liebe_attenuation_profile(H, P, T, E, ascent->n,
			    frequency_GHz, profile, NULL);
}
