#include "sonde_attenuation.h"
#define DEBUG fprintf(stderr, "Line: %d of %s\n",  __LINE__, __FILE__)

int
main(int argc, char **argv)
{
  SondeAscent ascent;
  afloat atten[SONDE_MAX_POINTS];
  int j;

  sonde_load(argv[1], &ascent);
  /*
  for (j = 0; j < ascent.n; j++) {
    fprintf(stderr, "%8.1f %12.5e %8.1f %8.1f %8.1f %8.1f %8.1e\n", ascent.height[j], ascent.pressure[j],
	    ascent.temperature[j], ascent.dew_point[j], ascent.wind_direction[j], ascent.wind_speed[j], atten[j]);
  }
  */
  sonde_interpolate(&ascent);
  sonde_attenuation_profile(&ascent, atten, 94.0);

  for (j = 0; j < ascent.n; j++) {
    printf("%8.1f %12.5e %8.1f %8.1f %8.1f %8.1f %8.3f\n", ascent.height[j], ascent.pressure[j],
	    ascent.temperature[j], ascent.dew_point[j], ascent.wind_direction[j], ascent.wind_speed[j], atten[j]);
  }
  exit(0);
}
